using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFCodeRuleMap :APTEntityBaseMap<T_PF_CODE_RULE>
    {
		public override void Configure(EntityTypeBuilder<T_PF_CODE_RULE> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE_TYPE);

			builder.Property(t => t.CODE_PREFIX)
				.HasMaxLength(20);
			builder.Property(t => t.CURRENT_DATA)
			   .HasMaxLength(20);
		}
    }
}
